CentOS6.5-64位安装puppeteer,提示Chrome无法启动,查找并安装缺失依赖包——吕江民·敬上

web525
1、进入chrome目录
cd /mnt/project/express/back/chrome-linux
2、检测缺失的依赖包
 ldd chrome | grep not
// 检测结果
libatk-bridge-2.0.so.0 => not found
libgtk-3.so.0 => not found
libgdk-3.so.0 => not found 
libGL.so.1 => not found
3、查找云端哪些软件下面包含对应的依赖包
yum provides libatk-bridge-2.0.so.0
// 结果
Loaded plugins: security
firefox-60.1.0-5.el6.centos.i686 : Mozilla Firefox Web browser
Repo        : updates
Matched from:
Filename    : /usr/lib/firefox/bundled/lib/libatk-bridge-2.0.so.0

firefox-60.1.0-6.el6.centos.x86_64 : Mozilla Firefox Web browser
Repo        : updates
Matched from:
Filename    : /usr/lib64/firefox/bundled/lib64/libatk-bridge-2.0.so.0

firefox-60.1.0-5.el6.centos.x86_64 : Mozilla Firefox Web browser
Repo        : updates
Matched from:
Filename    : /usr/lib64/firefox/bundled/lib64/libatk-bridge-2.0.so.0

firefox-60.1.0-6.el6.centos.i686 : Mozilla Firefox Web browser
Repo        : updates
Matched from:
Filename    : /usr/lib/firefox/bundled/lib/libatk-bridge-2.0.so.0

// 这个就是我们要找的可用的依赖包
firefox-60.1.0-6.el6.centos.x86_64 : Mozilla Firefox Web browser
Repo        : installed// 已安装状态
Matched from:
Filename    : /usr/lib64/firefox/bundled/lib64/libatk-bridge-2.0.so.0
注意:如果不是已安装状态,要先安装一下对应的软件名,比如firefox-60.1.0-6.el6.centos.x86_64,安装完以后再重复步骤3,查找一下已安装的包位置
yum install firefox-60.1.0-6.el6.centos.x86_64
注意:要找对应的64位的依赖包,如果找错了用了32位的包,就会提示
wrong ELF class: ELFCLASS32
4、找到对应的可用的依赖包后,将依赖包复制/映射到对应的动态共享库目录中,一般是/usr/lib64/目录,复制/映射执行一个就可以了,映射就是创建快捷方式
// 复制
cp /usr/lib64/firefox/bundled/lib64/libatk-bridge-2.0.so.0 usr/lib64/
// 映射
ln -s /usr/lib64/firefox/bundled/lib64/libatk-bridge-2.0.so.0 usr/lib64/libatk-bridge-2.0.so.0
5、复查没问题,就可以随便浪了!!!
阅读 9.9k
140 声望
4 粉丝
0 条评论
140 声望
4 粉丝
宣传栏